FROM jenkins/jenkins:latest

USER root
RUN apt-get update && \
apt-get -y install apt-transport-https \
     ca-certificates \
     curl \
     gnupg2 \
     software-properties-common \
     zip \
     unzip \
     vim && \
curl -fsSL https://download.docker.com/linux/$(. /etc/os-release; echo "$ID")/gpg > /tmp/dkey; apt-key add /tmp/dkey && \
add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/$(. /etc/os-release; echo "$ID") \
   $(lsb_release -cs) \
   stable" && \
apt-get update && \
apt-get -y install docker-ce python-pip && usermod -aG docker jenkins && \
update-rc.d docker enable
COPY config /var/jenkins_home/.ssh/config
COPY gitlab /var/jenkins_home/.ssh/gitlab.pem
RUN chmod 600 /var/jenkins_home/.ssh/gitlab.pem && chmod 600 /var/jenkins_home/.ssh/config && chown jenkins.jenkins /var/jenkins_home/.ssh/gitlab.pem && chown jenkins.jenkins /var/jenkins_home/.ssh/config

# drop back to the regular jenkins user - good practice
USER jenkins
RUN cd ~ && pip install awscli --upgrade --user && curl -s get.sdkman.io | bash
ENV JAVA_OPTS="-Djenkins.install.runSetupWizard=false"
COPY sdkman.config /.sdkman/etc/config
COPY bin/ /usr/local/bin/
COPY security.groovy /usr/share/jenkins/ref/init.groovy.d/security.groovy
COPY plugins.txt /usr/share/jenkins/ref/plugins.txt
RUN /usr/local/bin/install-plugins.sh < /usr/share/jenkins/ref/plugins.txt
#CMD /bin/bash sdkman-exec.sh
